apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: kagent

bases:
  - ../../base

replicas:
  - name: kagent
    count: 1

patchesStrategicMerge:
  - statefulset-patch.yaml

configMapGenerator:
  - name: kagent-config
    behavior: merge
    literals:
      - LOG_LEVEL=debug
      - A2A_DISCOVERY_INTERVAL=10s

commonLabels:
  environment: dev

commonAnnotations:
  "environment": "development"
